<?php
 //fray placido
$dtsFecha=fechaTexto(date("Y-m-d"),true);

$tmplEncabezado = '<table align="center" class="print-encabezado" cellspacing="0" cellpadding="0"  style="font-size:10pt; font-family:arial,tahoma,verdana">'
        . '<tr>'
        . '<td width="20%" rowspan="5"><img src="../images/logo_colegio.png" width="{ancho}" height="{alto}" ></td><td align="center"  width="60%" >República de Colombia</td><td   width="20%" rowspan="5"></td>'
        . '</tr>'
        . '<tr>
            <td align="center" >Departamento del Putumayo</td><td></td></tr>'
        . '<tr>
            <td align="center"  style="font-size:12pt; font-weight:bold">{nom_colegio}</td><td></td></tr>'
        . '<tr>
            <td align="center" >{educacol}</td><td></td></tr>'
        . '<tr>
            <td align="center" >NIT {nit} - DANE: {dane}</td><td></td></tr>'
        . '</table>'; 
 


$cabestudiante = '<div  style="font-size:12pt; font-family:arial,tahoma,verdana"><p align="center" style="font-weight:bold">LA RECTORA DE LA {nom_colegio}</p>'
        . '<p align="center" style="font-size:14pt; font-weight:bold">CERTIFICA</p>'
        . '<p align="justify">Que, <b>{estudiante}</b> identificad{genero} con {tipo_documento} número {numero_documento} expedido en {lug_expedicion}, cursó en este establecimiento educativo el grado <b>{grado}</b> de {educacion}, de acuerdo al decreto {decreto}, obteniendo los siguientes resultados y con la intensidad horaria que se detallan a continuación: </p>';

$sql = "CALL SP_CERTIFICADOS_NOTAS('$codigosest',$grupo,'" . uniqid() . "')";

if ($sesion->get('ac_usuario') == 'prointel') {
    echo $sql;
}

$academia->instruccion($sql);
$i = 1;

$parse = new CI_Parser();
$nomColegio = mb_strtoupper($sesion->getVar('info_colegio.nombre'));
$educacol = mb_strtoupper($sesion->getVar('info_colegio.educacion'));
$decreto = strtoupper($sesion->getVar('info_colegio.decreto'));
$nit = strtoupper($sesion->getVar('info_colegio.nit'));
$rector = mb_strtoupper($sesion->getVar('info_colegio.rector'));
$trato= mb_strtoupper($sesion->getVar('info_colegio.trato'));
$dane = strtoupper($sesion->getVar('info_colegio.dane'));
$pie=$sesion->getVar('info_colegio.pie');

$fotter = $dtsLang['project']['nom_soft'] . ' ' . $dtsLang['project']['ver_soft'] . ' ' . $dtsLang['project']['footertext'];
$pie_pagina = getFotter('&nbsp;',$pie , $fotter);

$codMateria = -1;
$dtsEncabezado = array(
    'nom_colegio' => $nomColegio, 
    'educacol' => $educacol,
    'nit' => $nit,
    'dane' => $dane,
    'alto' => $alto,
    'ancho' => $ancho,
);
$encabezadoOficio = $parse->parse($tmplEncabezado, $dtsEncabezado, true);

while ($reg = $academia->extraer_registro()) {
    $estudiante = json_decode($reg['estudiante'], true);
    $notas = json_decode($reg['notas'], true);
    $disciplina = json_decode($reg['disciplina'], true);
    $observa = json_decode($reg['observa'], true);
    $faltas = json_decode($reg['faltas'], true);

    $dtsEsquema = array(
        'estudiante' => formatoPalabras($estudiante['no_est'], $formato_nombres) ,
        'genero' => $estudiante['genero'],
        'tipo_documento' => $estudiante['tipo_iden'],
        'numero_documento' => $estudiante['numdoc'],
        'lug_expedicion' => $estudiante['expedida'],
        'grado' => $nomgrado,
        'educacion' => ucwords($educacion),
        'decreto' => mb_strtolower($decreto),
        'nom_colegio' => $nomColegio,
    );
    echo $encabezadoOficio;
    echo $parse->parse($cabestudiante, $dtsEsquema, true);
    #echo json_encode($notas,true);
    echo '<table class="table-print font-size-12">';
    echo '<tr class="alto-30">'
    . '<th class="font-size-10">ASIGNATURA</th>'
    . '<th class="font-size-10">IHS</th>'
    . '<th class="font-size-10">NOTA</th>'
    . '<th class="font-size-10">ESCALA NACIONAL</th>'
    . '</tr>';
    #falta la intensidad horaria d ela asignatura

    foreach ($notas as $info) {
        foreach ($info['materias'] as $materia) {
            echo '<tr>'
            . '<td class="alto-20">' . formatoPalabras(mb_strtolower($materia['no_asi'],'UTF-8'), $formato_materias) . '</td>'
            . '<td align="center">' . $materia['ihs'] . '</td>'
            . '<td align="center">' . numberFormat($materia['definitiva']) . '</td>'
            . '<td align="center">' . $materia['definitivalet'] . '</td>'
            . '</tr>';
        }
    }
//    echo '<tr>'
//            . '<td class="alto-20">Comportamiento Social</td>'
//            . '<td align="center" colspan="3">' . $disciplina['notadisletra'] . '</td>'
//            . '</tr>';
    echo '</table>'; 
    $jus= $faltas['justificadas']="" ? '0' : $faltas['justificadas'];  
    $injus= $faltas['injustificadas']="" ? '0' : $faltas['injustificadas'];

    echo '<br><b>INASISTENCIA</b>: Justificadas: ' . $jus . "   -   Injustificadas: " . $injus ;
    echo '<br><br>';
    $cadena=$observa['aprobo']<>"" ? $observa['aprobo'] . "se promueve al siguiente grado.": "Se promueve al siguiente grado: SI___  NO___";  
    echo '<b>OBSERVACIONES</b>: ' . $observa['observaciones'] . "<br> " . $cadena;
    echo '<br><br>';
    echo 'Para constancia se firma el día ' . $dtsFecha["nomdia"] .", ".$dtsFecha["dia"]. " de ". $dtsFecha["nommes"]. " de ". $dtsFecha["anio"]."."; 
    echo '<br><br><br><br>'; 
    echo '<table align="center" width="100%">'
    . '<tr>'
            . '<td align="center"><p class="font-size-12">_______________________________________<br><b>' . $rector . '</b><br>' . $trato . '</p></td>'
            . '<td align="center"><p class="font-size-12">_______________________________________<br><b>' . '' . '</b><br>' . 'Secretaria' . '</p></td>'
    . '</tr>'
        
    . '</table>';
    
    
    
    #echo '</div><br>';
    echo $pie_pagina
    . '<div id="salto" class="salto"></div>'; //hace que al imprimir salga en hojas apartes
}
$academia->liberar();
$academia->cerrar();


